log4cplus::helpers::LogLog Class Reference

This class used to output log statements from within the log4cplus package. More...

`#include <loglog.h>`

## Public Types

typedef LogLog * | Ptr
| Return type of getLogLog().

## Public Member Functions

void | setInternalDebugging (bool enabled)
| Allows to enable/disable log4cplus internal logging.
void | setQuietMode (bool quietMode)
| In quite mode no LogLog generates strictly no output, not even for errors.
void | debug (const log4cplus::tstring &msg) const
| This method is used to output log4cplus internal debug statements.
void | debug (tchar const *msg) const
void | error (const log4cplus::tstring &msg, bool throw_flag=false) const
| This method is used to output log4cplus internal error statements.
void | error (tchar const *msg, bool throw_flag=false) const
void | warn (const log4cplus::tstring &msg) const
| This method is used to output log4cplus internal warning statements.
void | warn (tchar const *msg) const
| LogLog ()
virtual | ~LogLog ()

## Static Public Member Functions

static Ptr | getLogLog ()
| Returns a reference to the `LogLog` singleton.

## Detailed Description

This class used to output log statements from within the log4cplus package.

Log4cplus components cannot make log4cplus logging calls. However, it is sometimes useful for the user to learn about what log4cplus is doing. You can enable log4cplus internal logging by defining the log4cplus.configDebug variable.

All log4cplus internal debug calls go to `cout` where as internal error messages are sent to `cerr`. All internal messages are prepended with the string "log4clus: ".

Definition at line 54 of file loglog.h.

## Member Typedef Documentation

## Ptr

typedef LogLog* log4cplus::helpers::LogLog::Ptr

Return type of getLogLog().

Definition at line 58 of file loglog.h.

## Constructor & Destructor Documentation

## LogLog()

log4cplus::helpers::LogLog::LogLog | ( |  | ) |

## ~LogLog()

virtual log4cplus::helpers::LogLog::~LogLog | ( |  | ) |

virtual

## Member Function Documentation

## debug() [1/2]

void log4cplus::helpers::LogLog::debug | ( | const log4cplus::tstring & | msg | ) | const

This method is used to output log4cplus internal debug statements.

Output goes to `std::cout`.

## debug() [2/2]

void log4cplus::helpers::LogLog::debug | ( | tchar const * | msg | ) | const

## error() [1/2]

void log4cplus::helpers::LogLog::error | ( | const log4cplus::tstring & | msg,
|  | bool | throw_flag = false ) const

This method is used to output log4cplus internal error statements.

There is no way to disable error statements. Output goes to `std::cerr`. Optionally, this method can throw std::runtime_error exception too.

## error() [2/2]

void log4cplus::helpers::LogLog::error | ( | tchar const * | msg,
|  | bool | throw_flag = false ) const

## getLogLog()

Ptr log4cplus::helpers::LogLog::getLogLog | ( |  | ) |

static

Returns a reference to the `LogLog` singleton.

## setInternalDebugging()

void log4cplus::helpers::LogLog::setInternalDebugging | ( | bool | enabled | ) |

Allows to enable/disable log4cplus internal logging.

## setQuietMode()

void log4cplus::helpers::LogLog::setQuietMode | ( | bool | quietMode | ) |

In quite mode no LogLog generates strictly no output, not even for errors.

Parameters

  quietMode | A true for not

## warn() [1/2]

void log4cplus::helpers::LogLog::warn | ( | const log4cplus::tstring & | msg | ) | const

This method is used to output log4cplus internal warning statements.

There is no way to disable warning statements. Output goes to `std::cerr`.

## warn() [2/2]

void log4cplus::helpers::LogLog::warn | ( | tchar const * | msg | ) | const

The documentation for this class was generated from the following file:

- loglog.h